package migrations

import (
	"github.com/pocketbase/pocketbase/core"
	m "github.com/pocketbase/pocketbase/migrations"
)

func init() {
	m.Register(func(app core.App) error {
		jsonData := `[
			{
					"id": "pbc_749385185",
					"listRule": null,
					"viewRule": null,
					"createRule": null,
					"updateRule": null,
					"deleteRule": null,
					"name": "brawlset",
					"type": "base",
					"fields": [
							{
									"autogeneratePattern": "[a-z0-9]{15}",
									"hidden": false,
									"id": "text3208210256",
									"max": 15,
									"min": 15,
									"name": "id",
									"pattern": "^[a-z0-9]+$",
									"presentable": false,
									"primaryKey": true,
									"required": true,
									"system": true,
									"type": "text"
							},
							{
									"autogeneratePattern": "",
									"hidden": false,
									"id": "text1579384326",
									"max": 0,
									"min": 0,
									"name": "name",
									"pattern": "",
									"presentable": true,
									"primaryKey": false,
									"required": false,
									"system": false,
									"type": "text"
							},
							{
									"autogeneratePattern": "",
									"hidden": false,
									"id": "text3273110370",
									"max": 0,
									"min": 0,
									"name": "sanitized_name",
									"pattern": "",
									"presentable": false,
									"primaryKey": false,
									"required": false,
									"system": false,
									"type": "text"
							},
							{
									"cascadeDelete": false,
									"collectionId": "pbc_3912384429",
									"hidden": false,
									"id": "relation2492286417",
									"maxSelect": 999,
									"minSelect": 0,
									"name": "sets",
									"presentable": false,
									"required": false,
									"system": false,
									"type": "relation"
							}
					],
					"indexes": [],
					"system": false
			},
			{
					"id": "pbc_1905410326",
					"listRule": null,
					"viewRule": null,
					"createRule": null,
					"updateRule": null,
					"deleteRule": null,
					"name": "carte",
					"type": "base",
					"fields": [
							{
									"autogeneratePattern": "[a-z0-9]{8}-[a-z0-9]{4}-[a-z0-9]{4}-[a-z0-9]{4}-[a-z0-9]{12}",
									"hidden": false,
									"id": "text3208210256",
									"max": 36,
									"min": 36,
									"name": "id",
									"pattern": "^[a-z0-9\\-]+$",
									"presentable": false,
									"primaryKey": true,
									"required": true,
									"system": true,
									"type": "text"
							},
							{
									"autogeneratePattern": "",
									"hidden": false,
									"id": "text1579384326",
									"max": 0,
									"min": 0,
									"name": "name",
									"pattern": "",
									"presentable": true,
									"primaryKey": false,
									"required": false,
									"system": false,
									"type": "text"
							},
							{
									"autogeneratePattern": "",
									"hidden": false,
									"id": "text3273110370",
									"max": 0,
									"min": 0,
									"name": "sanitized_name",
									"pattern": "",
									"presentable": false,
									"primaryKey": false,
									"required": false,
									"system": false,
									"type": "text"
							},
							{
									"autogeneratePattern": "",
									"hidden": false,
									"id": "text976907234",
									"max": 0,
									"min": 0,
									"name": "layout",
									"pattern": "",
									"presentable": false,
									"primaryKey": false,
									"required": false,
									"system": false,
									"type": "text"
							},
							{
									"exceptDomains": null,
									"hidden": false,
									"id": "url1456686396",
									"name": "small_image",
									"onlyDomains": null,
									"presentable": false,
									"required": false,
									"system": false,
									"type": "url"
							},
							{
									"exceptDomains": null,
									"hidden": false,
									"id": "url2615033119",
									"name": "small_image_back",
									"onlyDomains": null,
									"presentable": false,
									"required": false,
									"system": false,
									"type": "url"
							},
							{
									"exceptDomains": null,
									"hidden": false,
									"id": "url2291853061",
									"name": "normal_image",
									"onlyDomains": null,
									"presentable": false,
									"required": false,
									"system": false,
									"type": "url"
							},
							{
									"exceptDomains": null,
									"hidden": false,
									"id": "url2961008824",
									"name": "normal_image_back",
									"onlyDomains": null,
									"presentable": false,
									"required": false,
									"system": false,
									"type": "url"
							},
							{
									"autogeneratePattern": "",
									"hidden": false,
									"id": "text2363381545",
									"max": 0,
									"min": 0,
									"name": "type",
									"pattern": "",
									"presentable": false,
									"primaryKey": false,
									"required": false,
									"system": false,
									"type": "text"
							},
							{
									"hidden": false,
									"id": "select3054531206",
									"maxSelect": 5,
									"name": "color_identity",
									"presentable": false,
									"required": false,
									"system": false,
									"type": "select",
									"values": [
											"B",
											"W",
											"R",
											"G",
											"U"
									]
							},
							{
									"hidden": false,
									"id": "date3520360348",
									"max": "",
									"min": "",
									"name": "released_at",
									"presentable": false,
									"required": false,
									"system": false,
									"type": "date"
							},
							{
									"cascadeDelete": false,
									"collectionId": "pbc_3912384429",
									"hidden": false,
									"id": "relation3860080092",
									"maxSelect": 1,
									"minSelect": 0,
									"name": "mtg_set",
									"presentable": false,
									"required": false,
									"system": false,
									"type": "relation"
							},
							{
									"autogeneratePattern": "",
									"hidden": false,
									"id": "text3805467153",
									"max": 0,
									"min": 0,
									"name": "set_code",
									"pattern": "",
									"presentable": true,
									"primaryKey": false,
									"required": false,
									"system": false,
									"type": "text"
							},
							{
									"hidden": false,
									"id": "number3402113753",
									"max": null,
									"min": null,
									"name": "price",
									"onlyInt": false,
									"presentable": false,
									"required": false,
									"system": false,
									"type": "number"
							},
							{
									"exceptDomains": null,
									"hidden": false,
									"id": "url518645060",
									"name": "cardmarket_url",
									"onlyDomains": null,
									"presentable": false,
									"required": false,
									"system": false,
									"type": "url"
							},
							{
									"hidden": false,
									"id": "bool1734659578",
									"name": "can_be_commander",
									"presentable": false,
									"required": false,
									"system": false,
									"type": "bool"
							},
							{
									"hidden": false,
									"id": "bool2605256118",
									"name": "banned",
									"presentable": false,
									"required": false,
									"system": false,
									"type": "bool"
							}
					],
					"indexes": [],
					"system": false
			},
			{
					"id": "pbc_1755402631",
					"listRule": "owner ?= @request.auth.id",
					"viewRule": "owner ?= @request.auth.id",
					"createRule": "@request.auth.id != \"\"",
					"updateRule": "owner ?= @request.auth.id",
					"deleteRule": "owner ?= @request.auth.id",
					"name": "deck",
					"type": "base",
					"fields": [
							{
									"autogeneratePattern": "[a-z0-9]{8}-[a-z0-9]{4}-[a-z0-9]{4}-[a-z0-9]{4}-[a-z0-9]{12}",
									"hidden": false,
									"id": "text3208210256",
									"max": 36,
									"min": 36,
									"name": "id",
									"pattern": "^[a-z0-9\\-]+$",
									"presentable": false,
									"primaryKey": true,
									"required": true,
									"system": true,
									"type": "text"
							},
							{
									"autogeneratePattern": "",
									"hidden": false,
									"id": "text1579384326",
									"max": 0,
									"min": 0,
									"name": "name",
									"pattern": "",
									"presentable": true,
									"primaryKey": false,
									"required": false,
									"system": false,
									"type": "text"
							},
							{
									"exceptDomains": null,
									"hidden": false,
									"id": "url4101391790",
									"name": "url",
									"onlyDomains": null,
									"presentable": false,
									"required": false,
									"system": false,
									"type": "url"
							},
							{
									"hidden": false,
									"id": "select3054531206",
									"maxSelect": 5,
									"name": "color_identity",
									"presentable": false,
									"required": false,
									"system": false,
									"type": "select",
									"values": [
											"B",
											"R",
											"G",
											"U",
											"W"
									]
							},
							{
									"cascadeDelete": false,
									"collectionId": "_pb_users_auth_",
									"hidden": false,
									"id": "relation3479234172",
									"maxSelect": 1,
									"minSelect": 0,
									"name": "owner",
									"presentable": false,
									"required": false,
									"system": false,
									"type": "relation"
							},
							{
									"cascadeDelete": false,
									"collectionId": "pbc_1905410326",
									"hidden": false,
									"id": "relation1121130682",
									"maxSelect": 1,
									"minSelect": 0,
									"name": "commander",
									"presentable": false,
									"required": false,
									"system": false,
									"type": "relation"
							},
							{
									"cascadeDelete": false,
									"collectionId": "pbc_749385185",
									"hidden": false,
									"id": "relation1826942456",
									"maxSelect": 1,
									"minSelect": 0,
									"name": "brawlset",
									"presentable": false,
									"required": false,
									"system": false,
									"type": "relation"
							},
							{
									"hidden": false,
									"id": "json3635975509",
									"maxSize": 0,
									"name": "cartes",
									"presentable": false,
									"required": false,
									"system": false,
									"type": "json"
							},
							{
									"hidden": false,
									"id": "autodate2990389176",
									"name": "created",
									"onCreate": true,
									"onUpdate": false,
									"presentable": false,
									"system": false,
									"type": "autodate"
							},
							{
									"hidden": false,
									"id": "autodate3332085495",
									"name": "updated",
									"onCreate": true,
									"onUpdate": true,
									"presentable": false,
									"system": false,
									"type": "autodate"
							}
					],
					"indexes": [],
					"system": false
			},
			{
					"id": "pbc_3912384429",
					"listRule": "",
					"viewRule": "",
					"createRule": "",
					"updateRule": "",
					"deleteRule": "",
					"name": "mtg_set",
					"type": "base",
					"fields": [
							{
									"autogeneratePattern": "[a-z0-9]{8}-[a-z0-9]{4}-[a-z0-9]{4}-[a-z0-9]{4}-[a-z0-9]{12}",
									"hidden": false,
									"id": "text3208210256",
									"max": 36,
									"min": 36,
									"name": "id",
									"pattern": "^[a-z0-9\\-]+$",
									"presentable": false,
									"primaryKey": true,
									"required": true,
									"system": true,
									"type": "text"
							},
							{
									"autogeneratePattern": "",
									"hidden": false,
									"id": "text1579384326",
									"max": 0,
									"min": 0,
									"name": "name",
									"pattern": "",
									"presentable": true,
									"primaryKey": false,
									"required": false,
									"system": false,
									"type": "text"
							},
							{
									"autogeneratePattern": "",
									"hidden": false,
									"id": "text3273110370",
									"max": 0,
									"min": 0,
									"name": "sanitized_name",
									"pattern": "",
									"presentable": false,
									"primaryKey": false,
									"required": false,
									"system": false,
									"type": "text"
							},
							{
									"autogeneratePattern": "",
									"hidden": false,
									"id": "text1997877400",
									"max": 0,
									"min": 0,
									"name": "code",
									"pattern": "",
									"presentable": false,
									"primaryKey": false,
									"required": false,
									"system": false,
									"type": "text"
							},
							{
									"hidden": false,
									"id": "date3520360348",
									"max": "",
									"min": "",
									"name": "released_at",
									"presentable": false,
									"required": false,
									"system": false,
									"type": "date"
							},
							{
									"exceptDomains": null,
									"hidden": false,
									"id": "url659239397",
									"name": "icon_uri",
									"onlyDomains": null,
									"presentable": false,
									"required": false,
									"system": false,
									"type": "url"
							},
							{
									"autogeneratePattern": "",
									"hidden": false,
									"id": "text2363381545",
									"max": 0,
									"min": 0,
									"name": "type",
									"pattern": "",
									"presentable": true,
									"primaryKey": false,
									"required": false,
									"system": false,
									"type": "text"
							}
					],
					"indexes": [],
					"system": false
			}
		]`

		return app.ImportCollectionsByMarshaledJSON([]byte(jsonData), false)
	}, func(app core.App) error {
		return nil
	})
}
