package migrations

import (
	"github.com/pocketbase/pocketbase/core"
	m "github.com/pocketbase/pocketbase/migrations"
)

func init() {
	m.Register(func(app core.App) error {
		jsonData := `[
    {
        "id": "pbc_2856227530",
        "listRule": null,
        "viewRule": null,
        "createRule": null,
        "updateRule": null,
        "deleteRule": null,
        "name": "elo",
        "type": "base",
        "fields": [
            {
                "autogeneratePattern": "[a-z0-9]{15}",
                "hidden": false,
                "id": "text3208210256",
                "max": 15,
                "min": 15,
                "name": "id",
                "pattern": "^[a-z0-9]+$",
                "presentable": false,
                "primaryKey": true,
                "required": true,
                "system": true,
                "type": "text"
            },
            {
                "hidden": false,
                "id": "date2862495610",
                "max": "",
                "min": "",
                "name": "date",
                "presentable": false,
                "required": true,
                "system": false,
                "type": "date"
            },
            {
                "cascadeDelete": false,
                "collectionId": "pbc_1697519085",
                "hidden": false,
                "id": "relation2239679623",
                "maxSelect": 1,
                "minSelect": 0,
                "name": "player_1",
                "presentable": false,
                "required": true,
                "system": false,
                "type": "relation"
            },
            {
                "cascadeDelete": false,
                "collectionId": "pbc_1905410326",
                "hidden": false,
                "id": "relation2047047275",
                "maxSelect": 1,
                "minSelect": 0,
                "name": "commandant_1",
                "presentable": false,
                "required": true,
                "system": false,
                "type": "relation"
            },
            {
                "hidden": false,
                "id": "number909748445",
                "max": null,
                "min": null,
                "name": "score_1",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "cascadeDelete": false,
                "collectionId": "pbc_1697519085",
                "hidden": false,
                "id": "relation477601085",
                "maxSelect": 1,
                "minSelect": 0,
                "name": "player_2",
                "presentable": false,
                "required": true,
                "system": false,
                "type": "relation"
            },
            {
                "cascadeDelete": false,
                "collectionId": "pbc_1905410326",
                "hidden": false,
                "id": "relation3809093585",
                "maxSelect": 1,
                "minSelect": 0,
                "name": "commandant_2",
                "presentable": false,
                "required": true,
                "system": false,
                "type": "relation"
            },
            {
                "hidden": false,
                "id": "number2939222375",
                "max": null,
                "min": null,
                "name": "score_2",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "bool2557948429",
                "name": "official",
                "presentable": false,
                "required": false,
                "system": false,
                "type": "bool"
            },
            {
                "hidden": false,
                "id": "number1561173596",
                "max": null,
                "min": null,
                "name": "elo_commandant_1",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number3288649702",
                "max": null,
                "min": null,
                "name": "elo_commandant_2",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number4239465276",
                "max": null,
                "min": null,
                "name": "elo_player_1",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number1706576518",
                "max": null,
                "min": null,
                "name": "elo_player_2",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number4115095912",
                "max": null,
                "min": null,
                "name": "last_elo_player_1",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number1817063634",
                "max": null,
                "min": null,
                "name": "last_elo_player_2",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number2067666352",
                "max": null,
                "min": null,
                "name": "last_elo_commandant_1",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number3795272714",
                "max": null,
                "min": null,
                "name": "last_elo_commandant_2",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "autodate3332085495",
                "name": "updated",
                "onCreate": true,
                "onUpdate": true,
                "presentable": false,
                "system": false,
                "type": "autodate"
            }
        ],
        "indexes": [],
        "system": false
    },
    {
        "id": "pbc_1697519085",
        "listRule": null,
        "viewRule": null,
        "createRule": null,
        "updateRule": null,
        "deleteRule": null,
        "name": "elo_player",
        "type": "base",
        "fields": [
            {
                "autogeneratePattern": "[a-z0-9]{15}",
                "hidden": false,
                "id": "text3208210256",
                "max": 15,
                "min": 15,
                "name": "id",
                "pattern": "^[a-z0-9]+$",
                "presentable": false,
                "primaryKey": true,
                "required": true,
                "system": true,
                "type": "text"
            },
            {
                "cascadeDelete": false,
                "collectionId": "_pb_users_auth_",
                "hidden": false,
                "id": "relation2375276105",
                "maxSelect": 1,
                "minSelect": 0,
                "name": "user",
                "presentable": false,
                "required": false,
                "system": false,
                "type": "relation"
            },
            {
                "autogeneratePattern": "",
                "hidden": false,
                "id": "text4166911607",
                "max": 0,
                "min": 0,
                "name": "username",
                "pattern": "",
                "presentable": false,
                "primaryKey": false,
                "required": false,
                "system": false,
                "type": "text"
            },
            {
                "hidden": false,
                "id": "number2334461934",
                "max": null,
                "min": null,
                "name": "elo_casual",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number2732192018",
                "max": null,
                "min": null,
                "name": "elo_tournament",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            }
        ],
        "indexes": [],
        "system": false
    },
    {
        "id": "pbc_1905410326",
        "listRule": null,
        "viewRule": null,
        "createRule": null,
        "updateRule": null,
        "deleteRule": null,
        "name": "carte",
        "type": "base",
        "fields": [
            {
                "autogeneratePattern": "[a-z0-9]{8}-[a-z0-9]{4}-[a-z0-9]{4}-[a-z0-9]{4}-[a-z0-9]{12}",
                "hidden": false,
                "id": "text3208210256",
                "max": 36,
                "min": 36,
                "name": "id",
                "pattern": "^[a-z0-9\\-]+$",
                "presentable": false,
                "primaryKey": true,
                "required": true,
                "system": true,
                "type": "text"
            },
            {
                "autogeneratePattern": "",
                "hidden": false,
                "id": "text1579384326",
                "max": 0,
                "min": 0,
                "name": "name",
                "pattern": "",
                "presentable": true,
                "primaryKey": false,
                "required": false,
                "system": false,
                "type": "text"
            },
            {
                "autogeneratePattern": "",
                "hidden": false,
                "id": "text3273110370",
                "max": 0,
                "min": 0,
                "name": "sanitized_name",
                "pattern": "",
                "presentable": false,
                "primaryKey": false,
                "required": false,
                "system": false,
                "type": "text"
            },
            {
                "autogeneratePattern": "",
                "hidden": false,
                "id": "text976907234",
                "max": 0,
                "min": 0,
                "name": "layout",
                "pattern": "",
                "presentable": false,
                "primaryKey": false,
                "required": false,
                "system": false,
                "type": "text"
            },
            {
                "exceptDomains": null,
                "hidden": false,
                "id": "url1456686396",
                "name": "small_image",
                "onlyDomains": null,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "url"
            },
            {
                "exceptDomains": null,
                "hidden": false,
                "id": "url2615033119",
                "name": "small_image_back",
                "onlyDomains": null,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "url"
            },
            {
                "exceptDomains": null,
                "hidden": false,
                "id": "url2291853061",
                "name": "normal_image",
                "onlyDomains": null,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "url"
            },
            {
                "exceptDomains": null,
                "hidden": false,
                "id": "url2961008824",
                "name": "normal_image_back",
                "onlyDomains": null,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "url"
            },
            {
                "autogeneratePattern": "",
                "hidden": false,
                "id": "text2363381545",
                "max": 0,
                "min": 0,
                "name": "type",
                "pattern": "",
                "presentable": false,
                "primaryKey": false,
                "required": false,
                "system": false,
                "type": "text"
            },
            {
                "hidden": false,
                "id": "select3054531206",
                "maxSelect": 5,
                "name": "color_identity",
                "presentable": false,
                "required": false,
                "system": false,
                "type": "select",
                "values": [
                    "B",
                    "W",
                    "R",
                    "G",
                    "U"
                ]
            },
            {
                "hidden": false,
                "id": "date3520360348",
                "max": "",
                "min": "",
                "name": "released_at",
                "presentable": false,
                "required": false,
                "system": false,
                "type": "date"
            },
            {
                "cascadeDelete": false,
                "collectionId": "pbc_3912384429",
                "hidden": false,
                "id": "relation3860080092",
                "maxSelect": 1,
                "minSelect": 0,
                "name": "mtg_set",
                "presentable": false,
                "required": false,
                "system": false,
                "type": "relation"
            },
            {
                "autogeneratePattern": "",
                "hidden": false,
                "id": "text3805467153",
                "max": 0,
                "min": 0,
                "name": "set_code",
                "pattern": "",
                "presentable": true,
                "primaryKey": false,
                "required": false,
                "system": false,
                "type": "text"
            },
            {
                "hidden": false,
                "id": "number3402113753",
                "max": null,
                "min": null,
                "name": "price",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "exceptDomains": null,
                "hidden": false,
                "id": "url518645060",
                "name": "cardmarket_url",
                "onlyDomains": null,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "url"
            },
            {
                "hidden": false,
                "id": "bool1734659578",
                "name": "can_be_commander",
                "presentable": false,
                "required": false,
                "system": false,
                "type": "bool"
            },
            {
                "hidden": false,
                "id": "bool2605256118",
                "name": "banned",
                "presentable": false,
                "required": false,
                "system": false,
                "type": "bool"
            },
            {
                "hidden": false,
                "id": "number2334461934",
                "max": null,
                "min": null,
                "name": "elo_casual",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            },
            {
                "hidden": false,
                "id": "number2732192018",
                "max": null,
                "min": null,
                "name": "elo_tournament",
                "onlyInt": false,
                "presentable": false,
                "required": false,
                "system": false,
                "type": "number"
            }
        ],
        "indexes": [],
        "system": false
    }
]`

		// add up queries...

		return app.ImportCollectionsByMarshaledJSON([]byte(jsonData), false)
	}, func(app core.App) error {
		// add down queries...

		return nil
	})
}
